/[gentoo-x86]/dev-ruby/rails/ChangeLog
Gentoo

Diff of /dev-ruby/rails/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.93 Revision 1.117
1# ChangeLog for dev-ruby/rails 1# ChangeLog for dev-ruby/rails
2# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.93 2007/12/01 08:52:43 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.117 2008/11/04 17:50:22 ranger Exp $
4
5 04 Nov 2008; Brent Baude <ranger@gentoo.org> rails-2.0.5.ebuild,
6 rails-2.1.2.ebuild:
7 Marking rails-2.0.5|2.1.2 ppc64 for bug 237385
8
9 03 Nov 2008; Markus Meier <maekke@gentoo.org> rails-2.1.2.ebuild:
10 amd64/x86 stable, bug #237385
11
12 03 Nov 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.5.ebuild,
13 rails-2.1.2.ebuild:
14 Sparc stable, Security Bug #237385.
15
16*rails-2.1.2 (24 Oct 2008)
17
18 24 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.2.ebuild:
19 Version bump. Fixes security issue #242914 (header-injection) and #237285.
20 Also features minor fixes.
21
22*rails-2.0.5 (20 Oct 2008)
23
24 20 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.5.ebuild:
25 Version bump for Rails 2.0.5
26
27*rails-2.1.1 (13 Sep 2008)
28
29 13 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.1.ebuild:
30 Version bump for Rails 2.1.1, bug #237392
31
32*rails-2.0.4 (12 Sep 2008)
33
34 12 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.4.ebuild:
35 Version bump for Rails 2.0.4, bug #237385
36
37 13 Jul 2008; Hans de Graaff <graaff@gentoo.org>
38 -files/1.1.6-deprecate-old-lighttpd.patch, -rails-1.1.6.ebuild,
39 -rails-1.1.6-r2.ebuild:
40 Belated removal for GLSA 200711-17
41
42 04 Jul 2008; Hans de Graaff <graaff@gentoo.org> rails-2.1.0.ebuild:
43 Rails now depends on rake 0.8.1 or better.
44
45 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> -rails-1.2.5.ebuild:
46 Remove old version
47
48*rails-2.1.0 (17 Jun 2008)
49
50 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.0.ebuild:
51 Version bump for Rails 2.1.0
52
53 16 May 2008; nixnut <nixnut@gentoo.org> rails-2.0.2.ebuild:
54 Stable on ppc wrt bug 221309
55
56 13 May 2008; Raúl Porcel <armin76@gentoo.org> rails-2.0.2.ebuild:
57 ia64 stable wrt #221309
58
59 13 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
60 Sparc stable (again), following Hans de Graff's comment 7 in Bug #221309.
61 RMD160 for rails-2.0.2.gem should now be correct.
62
63 12 May 2008; Markus Rothe <corsair@gentoo.org> rails-2.0.2.ebuild:
64 Stable on ppc64; bug #221309
65
66 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
67 Back to ~sparc because of Friedrich Oslage's comments in Bug #221309.
68
69 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
70 Sparc stable --- part of Bug #221309 --- Good for about 5 months.
71
72 11 May 2008; Markus Meier <maekke@gentoo.org> rails-2.0.2.ebuild:
73 x86 stable, bug #221309
74
75 11 May 2008; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
76 Stable on amd64, bug #221309
77
78 19 Mar 2008; Hans de Graaff <graaff@gentoo.org> Manifest:
79 Redigest due to upstream repackaging
80
81 04 Jan 2008; <nichoj@gentoo.org> ChangeLog:
82 Updated dependencies not to relay on specific version, and allowing for
83 later revisions (ie change =dev-ruby/activerecord-2.0.2 to
84 ~dev-ruby/activerecord-2.0.2.
85
86 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
87 Fix quoting; database USE flags have moved to dev-ruby/activerecord, make this
88 a warn instead of an info message.
89
90*rails-2.0.2 (18 Dec 2007)
91
92 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> +rails-2.0.2.ebuild:
93 Version bump for Rails 2.0.2
94
95 01 Dec 2007; Christoph Mende <angelos@gentoo.org> rails-1.2.6.ebuild:
96 Stable on amd64 wrt bug #200159
4 97
5 01 Dec 2007; Hans de Graaff <graaff@gentoo.org> -rails-1.2.3.ebuild, 98 01 Dec 2007; Hans de Graaff <graaff@gentoo.org> -rails-1.2.3.ebuild,
6 -rails-1.2.3-r1.ebuild, -rails-1.2.4.ebuild: 99 -rails-1.2.3-r1.ebuild, -rails-1.2.4.ebuild:
7 Remove old vulnerable versions 100 Remove old vulnerable versions
8 101

Legend:
Removed from v.1.93  
changed lines
  Added in v.1.117

  ViewVC Help
Powered by ViewVC 1.1.20